Update Sales Order Line Item
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"sKU": "<string>",
"quantity": 123,
"salesUnit": "<string>",
"salesPriceNet": 123,
"salesPriceGross": 123,
"discount": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"notice": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}"
payload = {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"sKU": "<string>",
"quantity": 123,
"salesUnit": "<string>",
"salesPriceNet": 123,
"salesPriceGross": 123,
"discount": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"notice": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
name: '<string>',
sKU: '<string>',
quantity: 123,
salesUnit: '<string>',
salesPriceNet: 123,
salesPriceGross: 123,
discount: 123,
purchasePriceNet: 123,
taxRate: 123,
notice: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'itemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'name' => '<string>',
'sKU' => '<string>',
'quantity' => 123,
'salesUnit' => '<string>',
'salesPriceNet' => 123,
'salesPriceGross' => 123,
'discount' => 123,
'purchasePriceNet' => 123,
'taxRate' => 123,
'notice' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}"
payload := strings.NewReader("{\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"name\": \"<string>\",\n \"sKU\": \"<string>\",\n \"quantity\": 123,\n \"salesUnit\": \"<string>\",\n \"salesPriceNet\": 123,\n \"salesPriceGross\": 123,\n \"discount\": 123,\n \"purchasePriceNet\": 123,\n \"taxRate\": 123,\n \"notice\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"name\": \"<string>\",\n \"sKU\": \"<string>\",\n \"quantity\": 123,\n \"salesUnit\": \"<string>\",\n \"salesPriceNet\": 123,\n \"salesPriceGross\": 123,\n \"discount\": 123,\n \"purchasePriceNet\": 123,\n \"taxRate\": 123,\n \"notice\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"name\": \"<string>\",\n \"sKU\": \"<string>\",\n \"quantity\": 123,\n \"salesUnit\": \"<string>\",\n \"salesPriceNet\": 123,\n \"salesPriceGross\": 123,\n \"discount\": 123,\n \"purchasePriceNet\": 123,\n \"taxRate\": 123,\n \"notice\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Update Sales Order Line Item
Updates a line item for a specific sales order.
PATCH
/
v2
/
sales-orders
/
{salesOrderId}
/
line-items
/
{salesOrderLineItemId}
Update Sales Order Line Item
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"sKU": "<string>",
"quantity": 123,
"salesUnit": "<string>",
"salesPriceNet": 123,
"salesPriceGross": 123,
"discount": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"notice": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}"
payload = {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"sKU": "<string>",
"quantity": 123,
"salesUnit": "<string>",
"salesPriceNet": 123,
"salesPriceGross": 123,
"discount": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"notice": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
name: '<string>',
sKU: '<string>',
quantity: 123,
salesUnit: '<string>',
salesPriceNet: 123,
salesPriceGross: 123,
discount: 123,
purchasePriceNet: 123,
taxRate: 123,
notice: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'itemId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'name' => '<string>',
'sKU' => '<string>',
'quantity' => 123,
'salesUnit' => '<string>',
'salesPriceNet' => 123,
'salesPriceGross' => 123,
'discount' => 123,
'purchasePriceNet' => 123,
'taxRate' => 123,
'notice' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}"
payload := strings.NewReader("{\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"name\": \"<string>\",\n \"sKU\": \"<string>\",\n \"quantity\": 123,\n \"salesUnit\": \"<string>\",\n \"salesPriceNet\": 123,\n \"salesPriceGross\": 123,\n \"discount\": 123,\n \"purchasePriceNet\": 123,\n \"taxRate\": 123,\n \"notice\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"name\": \"<string>\",\n \"sKU\": \"<string>\",\n \"quantity\": 123,\n \"salesUnit\": \"<string>\",\n \"salesPriceNet\": 123,\n \"salesPriceGross\": 123,\n \"discount\": 123,\n \"purchasePriceNet\": 123,\n \"taxRate\": 123,\n \"notice\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"itemId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"name\": \"<string>\",\n \"sKU\": \"<string>\",\n \"quantity\": 123,\n \"salesUnit\": \"<string>\",\n \"salesPriceNet\": 123,\n \"salesPriceGross\": 123,\n \"discount\": 123,\n \"purchasePriceNet\": 123,\n \"taxRate\": 123,\n \"notice\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
The line item to update.
Model Class: UpdateSalesOrderLineItem
Response
Was this page helpful?